Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.java.metadata
Class FieldMetadata

    java.lang.Object
      org.modeshape.sequencer.java.metadata.FieldMetadata

Direct Known Subclasses:
  ArrayTypeFieldMetadata, ParameterizedTypeFieldMetadata, PrimitiveFieldMetadata, QualifiedTypeFieldMetadata, SimpleTypeFieldMetadata, WildcardTypeFieldMetadata

    public class FieldMetadata

extends Object

FieldMetadata is the base class of all fields.

Constructor Summary
`FieldMetadata()`

Method Summary
`List<AnnotationMetadata>` | `getAnnotations()`
`List<ModifierMetadata>` | `getModifiers()`
`String` | `getName()`
`String` | `getType()`
`List<Variable>` | `getVariables()`
`boolean` | `hasModifierNamed(String modifierName)`
`boolean` | `isArrayType()` Find out if a field is a array type or not.
`boolean` | `isParameterizedType()` Find out if a field is a parameterized type or not.
`boolean` | `isPrimitiveType()` Find out if a field is primitive type or not.
`boolean` | `isQualifiedType()` Find out if a field is a qualified type or not.
`boolean` | `isSimpleType()` Find out if a field is a simple type or not.
`boolean` | `isWildcardType()` Find out if a field is a wild card type or not.
`void` | `setModifiers(List<ModifierMetadata> modifierMetadatas)`
`void` | `setName(String name)`
`void` | `setType(String type)`
`void` | `setVariables(List<Variable> variables)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FieldMetadata

    public FieldMetadata()

Method Detail

### getAnnotations

    public List<AnnotationMetadata> getAnnotations()

### getVariables

    public List<Variable> getVariables()

  Returns:
    variables

### setVariables

    public void setVariables(List<Variable> variables)

  Parameters:
    `variables` - Sets variables to the specified value.

### getType

    public String getType()

  Returns:
    type

### setType

    public void setType(String type)

  Parameters:
    `type` - Sets type to the specified value.

### getName

    public String getName()

  Returns:
    the name of the field

### setName

    public void setName(String name)

  Parameters:
    `name` - the new name for the field

### getModifiers

    public List<ModifierMetadata> getModifiers()

  Returns:
    modifierMetadatas

### setModifiers

    public void setModifiers(List<ModifierMetadata> modifierMetadatas)

  Parameters:
    `modifierMetadatas` - Sets modifierMetadatas to the specified value.

### hasModifierNamed

    public boolean hasModifierNamed(String modifierName)

  Parameters:
    `modifierName` - the name of the modifier to check for
  Returns:
    true if the type has a modifier of that name, otherwise false

### isPrimitiveType

    public boolean isPrimitiveType()

  Find out if a field is primitive type or not.

  Returns:
    true if field is a primitive type.

### isSimpleType

    public boolean isSimpleType()

  Find out if a field is a simple type or not.

  Returns:
    true if field is a simple type.

### isArrayType

    public boolean isArrayType()

  Find out if a field is a array type or not.

  Returns:
    true if field is a array type.

### isQualifiedType

    public boolean isQualifiedType()

  Find out if a field is a qualified type or not.

  Returns:
    true if field is a qualified type.

### isParameterizedType

    public boolean isParameterizedType()

  Find out if a field is a parameterized type or not.

  Returns:
    true if field is a parameterized type.

### isWildcardType

    public boolean isWildcardType()

  Find out if a field is a wild card type or not.

  Returns:
    true if field is a wild card type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.